using ProjectOptika.Scripts.Forms;
using Unity;

namespace ProjectOptika
{
    public partial class FormOptika : Form
    {
        private IUnityContainer _container;

        public FormOptika(IUnityContainer container)
        {
            InitializeComponent();

            _container = container ??
                throw new ArgumentNullException(nameof(container));
        }

        private void AccessoriesToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormAccessories>().ShowDialog();
            }
            catch (System.Exception ex)
            {
                MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void SpecificationToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormSpecifications>().ShowDialog();
            }
            catch (System.Exception ex)
            {
                MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void ItemOrderToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormItemOrders>().ShowDialog();
            }
            catch (System.Exception ex)
            {
                MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void EmplyeeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormEmplyees>().ShowDialog();
            }
            catch (System.Exception ex)
            {
                MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void ClientToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormClients>().ShowDialog();
            }
            catch (System.Exception ex)
            {
                MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}
