using ProjectOptika.Scripts.Repositories;
using ProjectOptika.Scripts.Repositories.Implementations;
using Unity;

namespace ProjectOptika.Scripts
{
    internal static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // To customize application configuration such as set high DPI settings or default font,
            // see https://aka.ms/applicationconfiguration.
            ApplicationConfiguration.Initialize();
            Application.Run(CreateContainer().Resolve<FormOptika>());
        }

        private static UnityContainer CreateContainer () {  
            var container = new UnityContainer ();

            container.RegisterType<IAccessoriesRepository, AccessoriesRepository>();
            container.RegisterType<IClientRepositiory, ClientRepositiory>();
            container.RegisterType<IEmployeeRepository, EmployeeRepository>();
            container.RegisterType<ISpecificationsRepository, SpecificationsRepository>();
            container.RegisterType<IOrderRepository, OrderRepository>();

            return container;
        }
    }
}